<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('4','creates','R');     
$_SESSION['cuPages']='dai_dsrcreate.php';   
$cuPage='dai_dsrcreate.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='daily';
$menuh='Daily Process';
$phead='barcodecre';
$page='Add Barcode ';
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['save_bar'])){
	$name = remove_junk(escape($_POST['name']));
    $configure = remove_junk(escape($_POST['configure']));
    $code = remove_junk(escape($_POST['code']));
    $qty = remove_junk(escape($_POST['qty']));
	
	if(isset($_POST['code'])){
	$ducode = mysqli_query($con,"SELECT * FROM tbl_barcode WHERE name = '$code'");
	}
	
	if($ducode->num_rows > 0) {
		save_msg('i','Barcode name alrady used! Plz try another');
		echo "<script>window.location='dai_barcodegencre.php'</script>";
	}else{
    $sql="INSERT INTO tbl_barcode(name,configure,code,qty,date) VALUES ('$name','$configure','$code','$qty','$dtnow')";    
	$result = mysqli_query($con,$sql) or die(mysqli_error($con));
    $efid=mysqli_affected_rows($con);    
    if($efid>0){
    $act =remove_junk(escape('Barcode name: '.$name));    
    write_activity($aid,'BAR','New Barcode has been Added',$act);
    save_msg('s','Data Successfully Saved!');    
    }else{
    save_msg('w','Data Fail to Saved!');    
    }
    echo "<script>window.location='dai_barcodegencre.php'</script>";  
	}  
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Add Barcode</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>  
<form action="dai_barcodegencre.php" onsubmit="return validate()" enctype="multipart/form-data" method="post" accept-charset="utf-8">
<div class="col-md-12 popup_details_div">

<div class="row ">
<div class="col-md-10">
    <div class="col-md-6">
    <div class="form-group">
    <label>Product Name</label>
    <input type="text" name="name" maxlength="35" value="" id="name" class="form-control" placeholder="Hp 840 G6"  />
    </div>    
    </div>   

    <div class="col-md-6">
    <div class="form-group">
    <label>Product Configure</label>
    <input type="text" name="configure" maxlength="35" value="" id="configure" class="form-control" placeholder="Core i5 11th gen 8/256"  />
    </div>    
    </div> 

</div>  
</div>  

<div class="row ">
<div class="col-md-10">
    <div class="col-md-6">
    <div class="form-group">
    <label>Code</label>
    <input type="text" name="code" maxlength="35" value="" id="code" class="form-control" placeholder="GRE56"  />
    </div>    
    </div>   

    <div class="col-md-6">
    <div class="form-group">
    <label>Quantity</label>
    <input type="text" name="qty" maxlength="35" value="" id="qty" class="form-control" placeholder="25"  />
    </div>    
    </div> 

</div>  
</div>  

</div>
<div class="clearfix" ></div>
<div class="col-md-12 nopadding widgets_area"></div>    
<div class="row"style="margin-top: 15px" >
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<input type="submit" name="save_bar" id="submit" class="btn btn-flat bg-purple btn-sm " value="Save"/> <a href="mas_brandlist.php" class="btn btn-flat bg-gray  ">Close</a>
</div> 
</div>     
</form>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['access']=='1'){echo read_activity($aid,'BRA','A');}else{echo read_activity($aid,'BRA','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>

<?php include('../layout/quick.php');?>     
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function () {  
var pname = new LiveValidation('pname');
pname.add(Validate.Presence);
});
</script>    
<!-- /page script -->
</html>    
